DebugOptions (Gradle API 8.11.1)

Package org.gradle.api.tasks.compile

## Class DebugOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.DebugOptions

- All Implemented Interfaces:
    `java.io.Serializable`

      public class DebugOptions
      extends AbstractOptions

  Debug options for Java compilation. Only take effect if `CompileOptions.debug` is set to `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DebugOptions()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDebugLevel()` | Get a comma-separated list of debug information to be generated during compilation.
    `void` | `setDebugLevel​(java.lang.String debugLevel)` | Sets which debug information is to be generated during compilation.

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugOptions

          public DebugOptions()

  - ### Method Detail

    - #### getDebugLevel

          @Nullable
          @Optional
          @Input
          public java.lang.String getDebugLevel()

      Get a comma-separated list of debug information to be generated during compilation. The list may contain any of the following keywords (without spaces in between):
      `source`
        Source file debugging information
      `lines`
        Line number debugging information
      `vars`
        Local variable debugging information

      Alternatively, a value of `none` means debug information will not be generated.

      When the value is null, only source and line debugging information will be generated.

    - #### setDebugLevel

          public void setDebugLevel​(@Nullable
                                    java.lang.String debugLevel)

      Sets which debug information is to be generated during compilation. The value must be a comma-separated list containing any of the following keywords (without spaces in between):
      `source`
        Source file debugging information
      `lines`
        Line number debugging information
      `vars`
        Local variable debugging information

      For example `source,lines,vars` is a valid value.

      Alternatively setting the value to `none` will disable debug information generation.

      Setting this value to null will reset the property to its default value of only generating line and source debug information.